%define pkgname pyspi

Summary: Python binding for AT-SPI
Name: python-spi
Version: 0.5.4
Release: %mkrel 1
License: GPL
Group: Development/Python
URL: http://people.redhat.com/zcerza/dogtail/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{pkgname}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: python-devel
BuildRequires: pyrex
BuildRequires: libat-spi-devel

Provides: pyspi

%description
Python binding for AT-SPI

%prep
%setup -q -n %{pkgname}-%{version}

%build
python ./setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python ./setup.py install -O2 --root=$RPM_BUILD_ROOT 

%clean
rm -rf $RPM_BUILD_ROOT


%files 
%defattr(-,root,root,-)
%doc COPYING 
%{_libdir}/python*/site-packages/*.so

%changelog
* Fri Apr 28 2006 Jerome Soyer <saispo@mandriva.org> 0.5.4-1mdk
- New release 0.5.4
- Remove Patch0

* Wed Apr 26 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.5.2-6mdk
- Fix BuildRequires

* Wed Apr 26 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.5.2-5mdk
- Fix BuildRequires

* Wed Apr 26 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.5.2-4mdk
- Fix BuildRequires

* Tue Apr 25 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.5.2-3mdk
- Fix BuildRequires
- use mkrel

* Mon Nov 28 2005 Frederic Crozat <fcrozat@mandriva.com> 0.5.2-2mdk
- Patch0 (CVS): add missing SPI role enum

* Thu Nov 24 2005 Frederic Crozat <fcrozat@mandriva.com> 0.5.2-1mdk
- Initial Mandriva package
